Bug 2484 - tdb/tdbutil.c, line 46: "const char *" cannot be assigned to "char *"
Summary: tdb/tdbutil.c, line 46: "const char *" cannot be assigned to "char *"
Status: CLOSED FIXED
Alias: None
Product: Samba 3.0
Classification: Unclassified
Component: libsmbclient (show other bugs)
Version: 3.0.11
Hardware: SGI OpenVMS
: P3 normal
Target Milestone: none
Assignee: Derrell Lipman
QA Contact: Samba QA Contact
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-03-18 11:09 UTC by Jason Mader (mail bounces back)
Modified: 2005-08-24 10:21 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jason Mader (mail bounces back) 2005-03-18 11:09:24 UTC
Compiling tdb/tdbutil.c
cc-1515 cc: WARNING File = tdb/tdbutil.c, Line = 46
  A value of type "const char *" cannot be assigned to an entity of type "char *"
          .

        ret.dptr = dptr;
                 ^
Comment 1 Jason Mader (mail bounces back) 2005-03-18 11:15:24 UTC
ret.dptr = (char *)cdptr;
Comment 2 Derrell Lipman 2005-03-30 07:38:45 UTC
Fixed this qualifier error as well as all others in the samba tree.
Comment 3 Gerald (Jerry) Carter 2005-08-24 10:21:44 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.